<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.GoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.Goods">
        <id column="id_" property="id" />
        <result column="goods_category_id_" property="goodsCategoryId" />
        <result column="sn_" property="sn" />
        <result column="name_" property="name" />
        <result column="brand_" property="brand" />
        <result column="specification_" property="specification" />
        <result column="image_" property="image" />
        <result column="stock_count_" property="stockCount" />
        <result column="sell_count_" property="sellCount" />
        <result column="market_price_" property="marketPrice" />
        <result column="discount_price_" property="discountPrice" />
        <result column="group_purchase_price_" property="groupPurchasePrice" />
        <result column="brief_" property="brief" />
        <result column="desc_" property="desc" />
        <result column="is_new_" property="isNew" />
        <result column="is_top_" property="isTop" />
        <result column="status_" property="status" />
        <result column="memo_" property="memo" />
        <result column="publish_time_" property="publishTime" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="complement_goods_id_list_" property="complementGoodsIdList" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, goods_category_id_, sn_, name_, brand_, specification_, image_, stock_count_, sell_count_, market_price_, discount_price_, group_purchase_price_, brief_, desc_, is_new_, is_top_, status_, memo_, publish_time_, create_time_, update_time_, complement_goods_id_list_
    </sql>

</mapper>
